package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.web.domain.BaseEntity;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnServerTemplate extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long id;
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String serverIp;
   private Long templateId;
   private transient String category;
   @Excel(
      name = "模板名称"
   )
   private String templateName;
   @Excel(
      name = "模板版本"
   )
   private String version;
   @Excel(
      name = "域名"
   )
   private String domain;
   private Integer sslType;
   private String sslPem;
   private String sslKey;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date sslTime;
   private String nginxCnf;
   @Excel(
      name = "状态"
   )
   private Integer status;
   private transient Integer process;
   private transient String newVersion;
   private transient String country;
   private transient String language;

   public SnServerTemplate() {
   }

   public SnServerTemplate(SnServer server, SnTemplate template) {
      this.setServerId(server.getServerId());
      this.setServerIp(server.getIp());
      this.setTemplateId(template.getTemplateId());
      this.setTemplateName(template.getName());
      this.setVersion(template.getVersion());
      this.setStatus(1);
      this.setIsDelete(0);
      this.setCreateId(server.getCreateId());
      this.setCreateName(server.getCreateName());
      this.setCreateTime(DateUtils.getNowDate());
      this.setAgentId(server.getAgentId());
      this.setAgentName(server.getAgentName());
      this.setDealerId(server.getDealerId());
      this.setDealerName(server.getDealerName());
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("id", this.getId()).append("serverId", this.getServerId()).append("serverIp", this.getServerIp()).append("templateId", this.getTemplateId()).append("templateName", this.getTemplateName()).append("domain", this.getDomain()).append("sslPem", this.getSslPem()).append("sslKey", this.getSslKey()).append("nginxCnf", this.getNginxCnf()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getId() {
      return this.id;
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getServerIp() {
      return this.serverIp;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public String getCategory() {
      return this.category;
   }

   public String getTemplateName() {
      return this.templateName;
   }

   public String getVersion() {
      return this.version;
   }

   public String getDomain() {
      return this.domain;
   }

   public Integer getSslType() {
      return this.sslType;
   }

   public String getSslPem() {
      return this.sslPem;
   }

   public String getSslKey() {
      return this.sslKey;
   }

   public Date getSslTime() {
      return this.sslTime;
   }

   public String getNginxCnf() {
      return this.nginxCnf;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getProcess() {
      return this.process;
   }

   public String getNewVersion() {
      return this.newVersion;
   }

   public String getCountry() {
      return this.country;
   }

   public String getLanguage() {
      return this.language;
   }

   public void setId(Long id) {
      this.id = id;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setServerIp(String serverIp) {
      this.serverIp = serverIp;
   }

   public void setTemplateId(Long templateId) {
      this.templateId = templateId;
   }

   public void setCategory(String category) {
      this.category = category;
   }

   public void setTemplateName(String templateName) {
      this.templateName = templateName;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setSslType(Integer sslType) {
      this.sslType = sslType;
   }

   public void setSslPem(String sslPem) {
      this.sslPem = sslPem;
   }

   public void setSslKey(String sslKey) {
      this.sslKey = sslKey;
   }

   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   public void setSslTime(Date sslTime) {
      this.sslTime = sslTime;
   }

   public void setNginxCnf(String nginxCnf) {
      this.nginxCnf = nginxCnf;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setProcess(Integer process) {
      this.process = process;
   }

   public void setNewVersion(String newVersion) {
      this.newVersion = newVersion;
   }

   public void setCountry(String country) {
      this.country = country;
   }

   public void setLanguage(String language) {
      this.language = language;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerTemplate)) {
         return false;
      } else {
         SnServerTemplate other = (SnServerTemplate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label167: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label167;
                  }
               } else if (this$id.equals(other$id)) {
                  break label167;
               }

               return false;
            }

            Object this$serverId = this.getServerId();
            Object other$serverId = other.getServerId();
            if (this$serverId == null) {
               if (other$serverId != null) {
                  return false;
               }
            } else if (!this$serverId.equals(other$serverId)) {
               return false;
            }

            label153: {
               Object this$templateId = this.getTemplateId();
               Object other$templateId = other.getTemplateId();
               if (this$templateId == null) {
                  if (other$templateId == null) {
                     break label153;
                  }
               } else if (this$templateId.equals(other$templateId)) {
                  break label153;
               }

               return false;
            }

            Object this$sslType = this.getSslType();
            Object other$sslType = other.getSslType();
            if (this$sslType == null) {
               if (other$sslType != null) {
                  return false;
               }
            } else if (!this$sslType.equals(other$sslType)) {
               return false;
            }

            label139: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label139;
                  }
               } else if (this$status.equals(other$status)) {
                  break label139;
               }

               return false;
            }

            Object this$serverIp = this.getServerIp();
            Object other$serverIp = other.getServerIp();
            if (this$serverIp == null) {
               if (other$serverIp != null) {
                  return false;
               }
            } else if (!this$serverIp.equals(other$serverIp)) {
               return false;
            }

            label125: {
               Object this$templateName = this.getTemplateName();
               Object other$templateName = other.getTemplateName();
               if (this$templateName == null) {
                  if (other$templateName == null) {
                     break label125;
                  }
               } else if (this$templateName.equals(other$templateName)) {
                  break label125;
               }

               return false;
            }

            label118: {
               Object this$version = this.getVersion();
               Object other$version = other.getVersion();
               if (this$version == null) {
                  if (other$version == null) {
                     break label118;
                  }
               } else if (this$version.equals(other$version)) {
                  break label118;
               }

               return false;
            }

            Object this$domain = this.getDomain();
            Object other$domain = other.getDomain();
            if (this$domain == null) {
               if (other$domain != null) {
                  return false;
               }
            } else if (!this$domain.equals(other$domain)) {
               return false;
            }

            label104: {
               Object this$sslPem = this.getSslPem();
               Object other$sslPem = other.getSslPem();
               if (this$sslPem == null) {
                  if (other$sslPem == null) {
                     break label104;
                  }
               } else if (this$sslPem.equals(other$sslPem)) {
                  break label104;
               }

               return false;
            }

            label97: {
               Object this$sslKey = this.getSslKey();
               Object other$sslKey = other.getSslKey();
               if (this$sslKey == null) {
                  if (other$sslKey == null) {
                     break label97;
                  }
               } else if (this$sslKey.equals(other$sslKey)) {
                  break label97;
               }

               return false;
            }

            Object this$sslTime = this.getSslTime();
            Object other$sslTime = other.getSslTime();
            if (this$sslTime == null) {
               if (other$sslTime != null) {
                  return false;
               }
            } else if (!this$sslTime.equals(other$sslTime)) {
               return false;
            }

            Object this$nginxCnf = this.getNginxCnf();
            Object other$nginxCnf = other.getNginxCnf();
            if (this$nginxCnf == null) {
               if (other$nginxCnf != null) {
                  return false;
               }
            } else if (!this$nginxCnf.equals(other$nginxCnf)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerTemplate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $sslType = this.getSslType();
      result = result * 59 + ($sslType == null ? 43 : $sslType.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $serverIp = this.getServerIp();
      result = result * 59 + ($serverIp == null ? 43 : $serverIp.hashCode());
      Object $templateName = this.getTemplateName();
      result = result * 59 + ($templateName == null ? 43 : $templateName.hashCode());
      Object $version = this.getVersion();
      result = result * 59 + ($version == null ? 43 : $version.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $sslPem = this.getSslPem();
      result = result * 59 + ($sslPem == null ? 43 : $sslPem.hashCode());
      Object $sslKey = this.getSslKey();
      result = result * 59 + ($sslKey == null ? 43 : $sslKey.hashCode());
      Object $sslTime = this.getSslTime();
      result = result * 59 + ($sslTime == null ? 43 : $sslTime.hashCode());
      Object $nginxCnf = this.getNginxCnf();
      result = result * 59 + ($nginxCnf == null ? 43 : $nginxCnf.hashCode());
      return result;
   }
}
